WordPress Gallery Plugin: Warning: array_merge() Error

When you try to update you gallery using the WordPress Gallery Plugin, are you getting a string of php errors reading something alone the lines of: “Warning: array_merge() [function.array-merge]: Argument #1 is not an array?” If that’s the case, there may be a simple solution.

1. Exit the gallery post.
2. Reload the post.
3. Make sure the post has a title (This is the important step that you may be missing. Even the gallery needs a title! Try adding text content as well!)
4. Click “Update” or “Publish.”

Tips:
-Don’t upload more than probably 8 or 10 photos at a time, especially if they are large. Wait for them to completely load, then click publish or update.

Your problem should be solved! Let me know in the comments if this helped you, or if you are still having trouble. I encountered this problem running WordPress 3.5.0.

Tired of dealing with your slow WordPress website? Email me at brian@pagecrafter.com and mention the code #FreeHosting10 for two free months of lightning-fast WordPress hosting. We will even migrate you for free!

About Brian Johnson

Brian Johnson is a website developer and designer living in Minneapolis, Minnesota with a passion for code and WordPress. He spends his days building WordPress websites for small businesses, developing new code with the online community, and living life.